
Foreman - Bug #2454

Settings not preloaded in production

05/03/2013 09:44 AM - Ivan Necas

Status: Closed   

Priority: High   

Assignee:    

Category:    

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

With the new update of Settings code, the possible options are not loaded in production at first run.

Proposed fix:

https://github.com/theforeman/foreman/pull/574

Associated revisions

Revision 05921293 - 05/07/2013 03:13 AM - Ivan Necas

Fixes #2454 - Fix loading settings in production

The Setting subclasses are not preloaded in initialization phase in

production.

Also (if Setting.first rescue (false)) is not satisfied when the

settings are not set yet. Using table_exists? instead.

Also, define constants before audited So that the constants are available even

when not migrated yet.

History

#1 - 05/07/2013 08:01 AM - Ivan Necas

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 059212939864b43ab5ae2ed3e89efbc48ad366ea.
